What devices work with the CloudPets?

CloudPets requires Bluetooth 4.0 (Smart), and iOS version 7.1+ or Android version 4.4.0+.   

Verified Compatible Devices

Manufacturer Device
Apple iPhone (6 Plus, 6, 5s, 5c, 5 & 4s), iPad (Air, Air 2, Mini, Mini with Retina Display, 3 & 4 with Retina Display)
Google Nexus 9, Nexus 7 (2013), Nexus 6, Nexus 5, Nexus 4
Samsung Galaxy Note 3, Galaxy S3, Galaxy S4, Galaxy S5, Galaxy S6, Galaxy Note 4, Galaxy Tab 4, Galaxy Tab A
HTC One M7, One M8
Motorola Moto G (1st gen)

Note: This is a partial list of compatible devices. Other devices with Bluetooth Smart compatability, running iOS 7.1 and above, or Android 4.4.0 and above may be compatible, but have not yet been tested.

Have more questions? Submit a request

3 Comments

  • 0
    Avatar
    Toni Montana

    I have a Sony experia xa..... It doesn't work. Won't connect even though it's an android phone with the right spec of Bluetooth etc. My boyfriend has a different Sony experia and that works OK.... So frustrating as he's the one that works abroad!!

  • 0
    Avatar
    Toni Montana

    I have a Sony experia xa..... It doesn't work. Won't connect even though it's an android phone with the right spec of Bluetooth etc. My boyfriend has a different Sony experia and that works OK.... So frustrating as he's the one that works abroad!!

  • 0
    Avatar
    Gina kay potter

    Ive had my cloudpet for a while an can no longer use it why can you give my money back since i cant use the damn thing now since its not compatible with my phone and the first app is no longer

Please sign in to leave a comment.
Powered by Zendesk